<?xml version="1.0" encoding="UTF-8"?>
<Scheme
   LastUpgradeVersion = "0810"
   version = "1.7">
   <BuildAction
      parallelizeBuildables = "YES"
      buildImplicitDependencies = "YES">
      <BuildActionEntries>
         <BuildActionEntry
            buildForTesting = "YES"
            buildForRunning = "YES"
            buildForProfiling = "YES"
            buildForArchiving = "YES"
            buildForAnalyzing = "YES">
            <BuildableReference
               BuildableIdentifier = "primary"
               BlueprintIdentifier = "D4991434181D51DE00E6073C"
               BuildableName = "Wikipedia.app"
               BlueprintName = "Wikipedia"
               ReferencedContainer = "container:Wikipedia.xcodeproj">
            </BuildableReference>
         </BuildActionEntry>
         <BuildActionEntry
            buildForTesting = "YES"
            buildForRunning = "NO"
            buildForProfiling = "NO"
            buildForArchiving = "NO"
            buildForAnalyzing = "NO">
            <BuildableReference
               BuildableIdentifier = "primary"
               BlueprintIdentifier = "BC4273511A7C736800068882"
               BuildableName = "WikipediaUnitTests.xctest"
               BlueprintName = "WikipediaUnitTests"
               ReferencedContainer = "container:Wikipedia.xcodeproj">
            </BuildableReference>
         </BuildActionEntry>
      </BuildActionEntries>
   </BuildAction>
   <TestAction
      buildConfiguration = "Test"
      selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
      selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
      language = ""
      shouldUseLaunchSchemeArgsEnv = "YES">
      <Testables>
         <TestableReference
            skipped = "NO">
            <BuildableReference
               BuildableIdentifier = "primary"
               BlueprintIdentifier = "BC4273511A7C736800068882"
               BuildableName = "WikipediaUnitTests.xctest"
               BlueprintName = "WikipediaUnitTests"
               ReferencedContainer = "container:Wikipedia.xcodeproj">
            </BuildableReference>
            <SkippedTests>
               <Test
                  Identifier = "LegacyCoreDataMigratorTests">
               </Test>
               <Test
                  Identifier = "MWKHistoryListPerformanceTests/testReadPerformance">
               </Test>
               <Test
                  Identifier = "NSArray_PredicateTests/testPerformance">
               </Test>
               <Test
                  Identifier = "NSString_FormattedAttributedStringTests/testPerformanceExample">
               </Test>
               <Test
                  Identifier = "WMFSearchFetcherTests">
               </Test>
            </SkippedTests>
         </TestableReference>
         <TestableReference
            skipped = "NO">
            <BuildableReference
               BuildableIdentifier = "primary"
               BlueprintIdentifier = "D84580F31D67572D00B09640"
               BuildableName = "WMFKitTests.xctest"
               BlueprintName = "WMFKitTests"
               ReferencedContainer = "container:Wikipedia.xcodeproj">
            </BuildableReference>
         </TestableReference>
      </Testables>
      <MacroExpansion>
         <BuildableReference
            BuildableIdentifier = "primary"
            BlueprintIdentifier = "D4991434181D51DE00E6073C"
            BuildableName = "Wikipedia.app"
            BlueprintName = "Wikipedia"
            ReferencedContainer = "container:Wikipedia.xcodeproj">
         </BuildableReference>
      </MacroExpansion>
      <AdditionalOptions>
      </AdditionalOptions>
   </TestAction>
   <LaunchAction
      buildConfiguration = "Debug"
      selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
      selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
      language = ""
      launchStyle = "0"
      useCustomWorkingDirectory = "NO"
      ignoresPersistentStateOnLaunch = "NO"
      debugDocumentVersioning = "YES"
      debugServiceExtension = "internal"
      allowLocationSimulation = "NO">
      <BuildableProductRunnable
         runnableDebuggingMode = "0">
         <BuildableReference
            BuildableIdentifier = "primary"
            BlueprintIdentifier = "D4991434181D51DE00E6073C"
            BuildableName = "Wikipedia.app"
            BlueprintName = "Wikipedia"
            ReferencedContainer = "container:Wikipedia.xcodeproj">
         </BuildableReference>
      </BuildableProductRunnable>
      <CommandLineArguments>
         <CommandLineArgument
            argument = "-WMFVisualTestBatchRecordMode NO"
            isEnabled = "YES">
         </CommandLineArgument>
      </CommandLineArguments>
      <EnvironmentVariables>
         <EnvironmentVariable
            key = "WMF_FIXTURE_DIRECTORY"
            value = "$(SOURCE_ROOT)/WikipediaUnitTests/Fixtures"
            isEnabled = "YES">
         </EnvironmentVariable>
         <EnvironmentVariable
            key = "FB_REFERENCE_IMAGE_DIR"
            value = "$(SOURCE_ROOT)/WikipediaUnitTests/ReferenceImages"
            isEnabled = "YES">
         </EnvironmentVariable>
         <EnvironmentVariable
            key = "IMAGE_DIFF_DIR"
            value = "$(SOURCE_ROOT)/WikipediaUnitTests/FailureDiffs"
            isEnabled = "NO">
         </EnvironmentVariable>
         <EnvironmentVariable
            key = "DYLD_PRINT_STATISTICS"
            value = "1"
            isEnabled = "NO">
         </EnvironmentVariable>
      </EnvironmentVariables>
      <AdditionalOptions>
      </AdditionalOptions>
      <DeviceAppData
         resolvedPath = "../4.0.6 extreme memory test data.xcappdata">
      </DeviceAppData>
   </LaunchAction>
   <ProfileAction
      buildConfiguration = "Release"
      shouldUseLaunchSchemeArgsEnv = "YES"
      savedToolIdentifier = ""
      useCustomWorkingDirectory = "NO"
      debugDocumentVersioning = "YES">
      <BuildableProductRunnable
         runnableDebuggingMode = "0">
         <BuildableReference
            BuildableIdentifier = "primary"
            BlueprintIdentifier = "D4991434181D51DE00E6073C"
            BuildableName = "Wikipedia.app"
            BlueprintName = "Wikipedia"
            ReferencedContainer = "container:Wikipedia.xcodeproj">
         </BuildableReference>
      </BuildableProductRunnable>
   </ProfileAction>
   <AnalyzeAction
      buildConfiguration = "Release">
   </AnalyzeAction>
   <ArchiveAction
      buildConfiguration = "Release"
      revealArchiveInOrganizer = "YES">
   </ArchiveAction>
</Scheme>
